AOWP_PHPParamaterElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPParamaterElement
/parser/ast/PHPParamaterElement.class.php at line 19

# Class AOWP_PHPParamaterElement

    AOWP_PHPElement
        └─AOWP_PHPParamaterElement

public class AOWP_PHPParamaterElement
extends AOWP_PHPElement

PHPParamaterElement PHPのASTにおける「仮引数」を表すクラス 文法規則: parameter_list

Author:
  Ryoto Naruse /

Field Summary
mixed | $classTypeName
mixed | $initialValue
AOWP_PHPVariableElement | $paramaterName

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPParamaterElement(mixed _lineOrParameterName, mixed classTypeNameOrInitialValue, mixed paramaterNameOrClassTypeName, mixed initialValue)

Method Summary
void | __toString()
void | getParameterName()
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPParamaterElement.class.php at line 26

### classTypeName

`public mixed $classTypeName`

/parser/ast/PHPParamaterElement.class.php at line 27

### initialValue

`public mixed $initialValue`

/parser/ast/PHPParamaterElement.class.php at line 25

### paramaterName

`public AOWP_PHPVariableElement $paramaterName`

## Constructor Detail

/parser/ast/PHPParamaterElement.class.php at line 29

### AOWP_PHPParamaterElement

`public AOWP_PHPParamaterElement(mixed _lineOrParameterName, mixed classTypeNameOrInitialValue, mixed paramaterNameOrClassTypeName, mixed initialValue)`

## Method Detail

/parser/ast/PHPParamaterElement.class.php at line 48

### __toString

`public void __toString()`

/parser/ast/PHPParamaterElement.class.php at line 44

### getParameterName

`public void getParameterName()`

/parser/ast/PHPParamaterElement.class.php at line 52

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr